# Default values for infinity.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

## Specify the image that the deployment file would access
image:
  repository: 'no-image'
  tag: stable
  pullPolicy: IfNotPresent

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""


## environment variables
env: []

##Disable if you do not want a service account
serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000 



## This defines the values of kind service
service:
  type: NodePort
  port: 80



## enable this if you want an ingress and add appropriate annotations
ingress:
  enabled: false
  annotations: {}
  host: default
  path: /

  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local


## enable this if you want an hpa and add appropriate annotations
hpa:
  enabled: true
  #maxReplicas: 10
  # average total CPU usage per pod (1-100)
  #cpu: 1
  # average memory usage per pod (100Mi-1Gi)
  #memory: 50Mi
  # average http requests per second per pod (k8s-prometheus-adapter)
  #requests:

##deployment
deployment: 
  labels: {}
  annotations: {}
    #seccomp.security.alpha.kubernetes.io/pod: runtime/default # security patch
  containerPort: "8080"
  probe: 
    path: "/health"
    initialDelaySeconds: 5
    periodSeconds: 20
  strategy: 
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
  minReadySeconds: 20
  revisionHistoryLimit: 5


resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

nodeSelector: {}

tolerations: []

affinity: {}
